/*

 File: stringutil.h, 2004/09/30

 ACETAF, Version 3.0.0

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _STRINGUTIL_H_INCLUDED
#define _STRINGUTIL_H_INCLUDED

#include <string>
#include <iostream>
#include <cstdio>
#include <complex>
#include "qstring.h"

typedef std::complex<double> Complex;

//#include "cinterval.h"

class CInterval;
namespace Adapt { class Interval; }
using Adapt::Interval;

void operator >>(const QString&,int&);
void operator >>(const QString&,double&);
void operator >>(const QString&,Complex&);
void operator >>(const QString&,Interval&);
void operator >>(const QString&,CInterval&);

QString int2QStr(int,const std::string&);
enum { RND_DOWN = -1, RND_NEAR = 0, RND_UP = 1 };
QString double2QStr(const double&, int, int, int);
QString double2QStr(const double&, const std::string&);
QString complex2QStr(const Complex&, const std::string&);
QString interval2QStr(const Interval&, unsigned int);

std::string getline(std::istream&);
std::string removeWhiteSpace(const std::string&);

#endif

/*

  End of File: stringutil.h

*/
